class File:
    def __init__(self): # constructeur
        self.file = []
        
    def file_vide(self): # accesseur
        """ teste si la file est vide"""
        return self.file == []
    
    def ajout(self, element): # mutateur
        """ajoute un élément à la file"""
        self.file.append(element)
        
    def retire(self): # mutateur
        """renvoie le premier élément de la file et le supprime"""
        if self.file == []:
            return None
        return self.file.pop(0)
    
    def premier(self): # accesseur
        """retourne le premier élément de la file"""
        if self.file == []:
            return None
        return self.file[0]
    
    def taille(self): # accesseur
        """retourne le nombre d'élément constituant la file"""
        return len(self.file)
    
    def get_file(self): # accesseur
        """retourne le contenu de la pile"""
        return self.file
    


